#!/bin/bash

cd $(dirname $(realpath -s ${0}))

image=${1}
resolution=${2}
quality=${3}

convert ${image}.png -colorspace RGB -filter Lanczos -distort Resize ${resolution}x -colorspace sRGB ${image}@${resolution}.png
pngquant --quality ${quality} ${image}@${resolution}.png
mv ${image}@${resolution}-fs8.png ${image}@${resolution}.png